%define oname   oniguruma

Name:       ruby-%{oname}
Version:    1.1.0
Release:    %mkrel 3
Summary:    Bindings for the oniguruma regular expression library
License:    BSD
Group:      Development/Ruby
URL:        http://oniguruma.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: onig-devel
BuildRequires: rubygem(hoe)
Requires:   ruby(abi) = 1.8

%description
Ruby bindings to the Oniguruma[http://www.geocities.jp/kosako3/oniguruma/]
regular expression library

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/oregexp.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
ruby -Ilib -I%{buildroot}%{ruby_sitearchdir} test/test_oniguruma.rb

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 1.1.0-3.mga1
+ Revision: 51255
- imported package ruby-oniguruma


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.0-3mdv2011.0
- Initial package

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2011.0
+ Revision: 614775
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 500504
- fix buildrequires
- fix license
- ditch bogus dependencies
- import rubygem-oniguruma


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.0-1
- initial release
